Name:           discount
Version:        2.2.7
Release:        2
Summary:        Tools for converting Markdown files into HTML
License:        BSD-3-Clause
URL:            http://www.pell.portland.or.us/~orc/Code/discount
Source0:        https://github.com/Orc/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
# Fixed discount dont run ldconfig
Patch0000:      discount-dont-run-ldconfig.patch
# https://github.com/Orc/discount/commit/e42188e6c4c30d9de668cf98d98dd0c13ecce7cf
Patch0001:      Didn-t-include-MKDLIB-as-a-requirement-for-pandoc-he.patch
# https://github.com/Orc/discount/pull/285/commits/87234b3caf7a44704d787ac9747fc149358331d3
Patch0002:      Fix-memory-leak-in-mkd_xml.patch
BuildRequires:	gcc
Requires:       libmarkdown = %{version}-%{release}

%description
Tools for converting Markdown files into HTML. The package is an implementation of John Gruber's
Markdown language in C. It includes all of the original Markdown features, along with a few
extensions, and passes the Markdown test suite.

%package -n     libmarkdown
Summary:        Implementation of the Markdown language in C

%description -n libmarkdown
Implementation of the Markdown language in C.

%package -n     libmarkdown-devel
Summary:        File for libmarkdown development
Requires:       libmarkdown = %{version}-%{release}

%description -n libmarkdown-devel
File for libmarkdown development.

%package -n     libmarkdown-help
Summary:        Help file for libmarkdown
Requires:       libmarkdown = %{version}-%{release}

%description -n libmarkdown-help
Help file for libmarkdown.

%prep
%autosetup -p1

%build
CFLAGS='%{optflags}' ./configure.sh --shared --prefix=%{_prefix} --execdir=%{_bindir} --libdir=%{_libdir} \
       --mandir=%{_mandir} --enable-all-features --with-fenced-code --pkg-config
%make_build

%install
make install.everything DESTDIR=%{buildroot}
install -D -m 644 libmarkdown.pc %{buildroot}%{_libdir}/pkgconfig/
cp -pav libmarkdown.pc %{buildroot}%{_libdir}/pkgconfig/
mv %{buildroot}%{_bindir}/makepage %{buildroot}%{_bindir}/discount-makepage
mv %{buildroot}%{_bindir}/mkd2html %{buildroot}%{_bindir}/discount-mkd2html
mv %{buildroot}%{_bindir}/theme %{buildroot}%{_bindir}/discount-theme
mv %{buildroot}%{_mandir}/man1/makepage.1 %{buildroot}%{_mandir}/man1/discount-makepage.1
mv %{buildroot}%{_mandir}/man1/mkd2html.1 %{buildroot}%{_mandir}/man1/discount-mkd2html.1
mv %{buildroot}%{_mandir}/man1/theme.1 %{buildroot}%{_mandir}/man1/discount-theme.1

%post -n libmarkdown
/sbin/ldconfig

%postun -n libmarkdown
/sbin/ldconfig

%check
make test

%files
%{_bindir}/{markdown,discount-makepage,discount-mkd2html,discount-theme}

%files -n libmarkdown
%doc README COPYRIGHT CREDITS
%{_libdir}/libmarkdown.so.*

%files -n libmarkdown-devel
%{_libdir}/libmarkdown.so
%{_libdir}/pkgconfig/libmarkdown.pc
%{_includedir}/mkdio.h

%files -n libmarkdown-help
%{_mandir}/man1/{markdown.1*,discount-*.1*}
%{_mandir}/man3/{markdown.3*,mkd_*.3*,mkd-*.3*}
%{_mandir}/man7/{markdown.7*,mkd-*.7*}

%changelog
* Fri Aug 30 2024 zhangxingrong <zhangxingrong@uniontech.cn> - 2.2.7-2
- Fix memory leak in mkd_xml() 

* Mon Mar 11 2024 yaoxin <yao_xin001@hoperun.com> - 2.2.7-1
- Upgrade to 2.2.7

* Tue May 10 2022 caodongxia <caodongxia@h-partners.com> - 2.2.4-4
- License compliance rectification

* Mon May 31 2021 baizhonggui <baizhonggui@huawei.com> - 2.2.4-3
- Add gcc in BuildRequires

* Mon Mar 16 2020 Ling Yang <lingyang2@huawei.com> - 2.2.4-2
- Package Init
